Bug 1465884 - Review Request: golang-github-cznic-lex - Support for (f)lex-like tool on .l source files
Review Request: golang-github-cznic-lex - Support for (f)lex-like tool on .l ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Athos Ribeiro
Fedora Extras Quality Assurance
: Reopened
Depends On: 1465881
Blocks: 1465885
  Show dependency treegraph
 
Reported: 2017-06-28 08:17 EDT by Fabio Valentini
Modified: 2017-07-31 02:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-30 20:20:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
athoscribeiro: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Fabio Valentini 2017-06-28 08:17:28 EDT
Spec URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-lex.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-lexer-0-0.1.20141211.git52ae786.fc26.src.rpm

Description: Support for (f)lex-like tool on .l source files. This package is one of the new dependencies of one of my other requested packages.

Fedora Account System Username: decathorpe


Since not all dependencies are present in fedora yet, a successful COPR build can be seen here: https://copr.fedorainfracloud.org/coprs/decathorpe/golang-staging/build/571619/
Comment 1 Fabio Valentini 2017-07-14 12:19:08 EDT
koji scratch build on rawhide (minus currently failing golang builds on ppc64, which should get fixed / be fixed already):
https://koji.fedoraproject.org/koji/taskinfo?taskID=20526094
Comment 2 Athos Ribeiro 2017-07-17 18:51:57 EDT
Hi Fabio,

Taking this one.

The srpm available is for golang-github-cznic-lexer, not for golang-github-cznic-lex
Comment 3 Fabio Valentini 2017-07-18 04:57:57 EDT
Oops, sorry about that. Must have been a copy-paste error. Updated links:

Spec URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-lex.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-lex-0-0.1.20170112.git68050f5.fc26.src.rpm
Comment 4 Athos Ribeiro 2017-07-19 18:49:19 EDT
The package looks good!

Approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-cznic-lex-devel-0-0.1.20170112.git68050f5.fc27.noarch.rpm
          golang-github-cznic-lex-unit-test-devel-0-0.1.20170112.git68050f5.fc27.x86_64.rpm
          golang-github-cznic-lex-0-0.1.20170112.git68050f5.fc27.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
golang-github-cznic-lex-devel (rpmlib, GLIBC filtered):
    golang(github.com/cznic/fileutil)
    golang(github.com/cznic/lexer)

golang-github-cznic-lex-unit-test-devel (rpmlib, GLIBC filtered):
    golang-github-cznic-lex-devel

Provides
--------
golang-github-cznic-lex-devel:
    golang(github.com/cznic/lex)
    golang-github-cznic-lex-devel

golang-github-cznic-lex-unit-test-devel:
    golang-github-cznic-lex-unit-test-devel
    golang-github-cznic-lex-unit-test-devel(x86-64)



Source checksums
----------------
https://github.com/cznic/lex/archive/68050f59b71a42ca5b94e7b832e5bc2cdb48af66/cznic-lex-68050f5.tar.gz :
  CHECKSUM(SHA256) this package     : 79e09a0c732996c4c26e33ce6a521bd16b2518e03b8b668f3b7932b2570e69d2
  CHECKSUM(SHA256) upstream package : 79e09a0c732996c4c26e33ce6a521bd16b2518e03b8b668f3b7932b2570e69d2
Comment 5 Fabio Valentini 2017-07-20 05:11:23 EDT
Thanks for the review!
Comment 6 Gwyn Ciesla 2017-07-20 08:31:06 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-cznic-lex
Comment 7 Fedora Update System 2017-07-20 10:34:11 EDT
golang-github-cznic-lex-0-0.1.20170112.git68050f5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2bc648fab9
Comment 8 Fedora Update System 2017-07-23 02:55:38 EDT
golang-github-cznic-lex-0-0.1.20170112.git68050f5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-618a7ca4cb
Comment 9 Fedora Update System 2017-07-23 05:57:37 EDT
golang-github-cznic-lex-0-0.1.20170112.git68050f5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2bc648fab9
Comment 10 Fedora Update System 2017-07-30 20:20:54 EDT
golang-github-cznic-lex-0-0.1.20170112.git68050f5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2017-07-31 02:24:11 EDT
golang-github-cznic-lex-0-0.1.20170112.git68050f5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.